Subject: Re: bug#25848: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to the correct grep.

From: zimoun <[email-masked]>
Date: Wed, 05 Jan 2022 00:57:25 +0100

Hi Manolis,

I am doing bug triage and I hit this one [1].

1: <http://issues.guix.gnu.org/issue/25848>

On Thu, 23 Feb 2017 at 13:41, [email-masked] wrote:

> Commit 653add37af10b0d5dbc20c8bc7ce30eec8cf4ae7 patches egrep/fgrep to point to the location of grep.
> But the problem is that when it was run on Hurd, the path for grep in egrep/fgrep had this form:
> /gnu/store/eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee-grep-2.25/bin/grep
>
> The above was not being substituted and caused the build to fail. So I changed the pattern to
> "/[^ ]+/bin/grep" and now the path is always replaced.
>
> Also (getcwd) returns the current path which the build takes place. This happens to be /tmp/guix-build-..-bootstrap-binaries-0.
> This is wrong because it should point to the final place in /gnu/store. That why I am using "out".

Is it still relevant after the work by janneke among many others?  And
exposed in these blog post [2,3].

2: <https://guix.gnu.org/en/blog/2020/a-hello-world-virtual-machine-running-the-hurd/>
3: <https://guix.gnu.org/en/blog/2020/childhurds-and-substitutes/>

Cheers,
simon